UbixOS V2 2.0

Data Fields
sigval Union Reference

`#include <signal.h>`

Collaboration diagram for sigval:

## Data Fields
int | sigval_int
void * | sigval_ptr
int | sival_int
void * | sival_ptr

## Detailed Description

Definition at line 46 of file signal.h.

## Field Documentation

## ◆ sigval_int

int sigval::sigval_int

Definition at line 51 of file signal.h.

## ◆ sigval_ptr

void* sigval::sigval_ptr

Definition at line 52 of file signal.h.

## ◆ sival_int

int sigval::sival_int

Definition at line 48 of file signal.h.

## ◆ sival_ptr

void* sigval::sival_ptr

Definition at line 49 of file signal.h.

The documentation for this union was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/signal.h